Skip to main content
PUT
/
ramp-schedule-templates
/
{id}
cURL
curl -X PUT https://api.growthbook.io/api/v1/ramp-schedule-templates/{id} -d '{ ... }' -u secret_abc123DEF456
{
  "rampScheduleTemplate": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "steps": [
      {
        "trigger": {
          "type": "<string>",
          "seconds": 123
        },
        "actions": [
          {
            "targetType": "<string>",
            "targetId": "<string>",
            "patch": {
              "ruleId": "<string>",
              "coverage": 0.5,
              "condition": "<string>",
              "savedGroups": [
                {
                  "match": "all",
                  "ids": [
                    "<string>"
                  ]
                }
              ],
              "prerequisites": [
                {
                  "id": "<string>",
                  "condition": "<string>"
                }
              ],
              "enabled": true
            }
          }
        ],
        "approvalNotes": "<string>"
      }
    ],
    "endPatch": {
      "coverage": 0.5,
      "condition": "<string>",
      "savedGroups": [
        {
          "match": "all",
          "ids": [
            "<string>"
          ]
        }
      ],
      "prerequisites": [
        {
          "id": "<string>",
          "condition": "<string>"
        }
      ]
    },
    "official": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

Body

application/json
name
string
steps
object[]
endPatch
object
official
boolean

Response

200 - application/json

Success

rampScheduleTemplate
object
required